Subject: Re: Guatemala field guide

From: Christopher Conlan <[email-masked]>
Date: Fri, 7 Jun 1996 13:20:27 -0700

I don't know of a guide specifically for the butterflies of Guatemala but
there should be quite a bit of overlap between there and Costa Rica.
There is a good field guide to the butterflies of Costa Rica by
Devries(?).  If there are any good books on the butterflies of S. Mexico
they should have many of the species as well.  Also, for a general
history and highlights of various places the Lonely Planet Guides are
great.  I don't know if there is a Lonely Planet Guide for Guatemala but
your local bookstore (decent sized one) should be able to tell you.  Have
fun.
Chris